.\" -*- nroff -*-
.TH SENSIBLE-EDITOR 1 "14 Nov 2018" "Debian"
.SH NAME
sensible-editor \- sensible editing
.SH SYNOPSIS
.BR sensible-editor " [OPTIONS...]"
.br
.SH DESCRIPTION
.BR sensible-editor " makes sensible decisions on which editor to call.
Programs in Debian can use this script
as their default editor.
.nr step 1 1
.B sensible-editor
try to do in the following order:
.IP \n[step]
if
.B VISUAL
environment variable exists, execute
.B VISUAL [OPTIONS]
.IP \n+[step]
if
.B EDITOR
environment variable exists, execute
.B EDITOR [OPTIONS]
.IP \n+[step]
source the contents of file
.I ~/.selected_editor
and, if
.B SELECTED_EDITOR
environment variable exists execute
.B SELECTED_EDITOR [OPTIONS]
.IP \n+[step]
run
.B editor [OPTIONS]
command
.IP \n+[step]
finally run
.B nano-tiny [OPTIONS]
command
.SH "SEE ALSO"
.BR environ (7)
for documentation of the EDITOR, VISUAL variables
.br
.BR select-editor (1)
for changing a user's default editor.
.br
.BR editor (1)
for default system wide editor.
.SH BUGS
This command is protected against trivial fork bomb, when user set
.B EDITOR=sensible-editor
wider loops are still possible.
.SH "STANDARD"
Documentation of behavior of sensible-utils under a debian system is available under
section 11.4 of debian-policy usually installed under
/usr/share/doc/debian-policy (you might need to install debian-policy)
